Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSimpleSetDimension

Set the number of functionals in the dual space basis

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSimpleSetDimension(PetscDualSpace sp, PetscInt dim)

Logically Collective

## Input Parameters

- sp - the `PetscDualSpace`

- dim - the basis dimension

## See Also

`PETSCDUALSPACESIMPLE`, `PetscDualSpace`, `PetscDualSpaceSimpleSetFunctional()`

## Level

intermediate

## Location

src/dm/dt/dualspace/impls/simple/dspacesimple.c

## Implementations

PetscDualSpaceSimpleSetDimension_Simple() in src/dm/dt/dualspace/impls/simple/dspacesimple.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages